#pragma once
#include <TWELITE>


/* TODO:  Include other files here if needed. */
//#include "stdint.h"
#include "I2c.hpp"


/*******************************************************
         my defintion and function 
*******************************************************/
#define BME280_ADDRESS 0x76 // 0x76 bit0 is R/W

typedef struct
{
    int16_t  temp;
    int16_t  humi;
    int16_t  press;
} BME280_DATA;

class Bme280
{
private:
  void setUp(I2c i2c);
  void getTrim(I2c i2c);
  double compensate_T(int32_t adc_T);
  double compensate_P(int32_t adc_P);
  unsigned long calibration_H();
  signed long int calibration_T();
  double getTemparature(I2c i2c);
  double getHumidity(I2c i2c);
  unsigned long int calibration_P();
  double getPressure(I2c i2c);



public:
  Bme280();
  void init(I2c i2c);
  void getData(I2c i2c, BME280_DATA* pData);

};


/* *****************************************************************************
 End of File
 */
